package domain


type AlibabaWdkChannelOrderCreateApiResult struct {
    /*
        错误编码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        返回内容     */
    Model  *AlibabaWdkChannelOrderCreateOrderOperateResult `json:"model,omitempty" `

    /*
        错误信息     */
    ErrMsg  *string `json:"err_msg,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

}

func (s *AlibabaWdkChannelOrderCreateApiResult) SetErrCode(v string) *AlibabaWdkChannelOrderCreateApiResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaWdkChannelOrderCreateApiResult) SetModel(v AlibabaWdkChannelOrderCreateOrderOperateResult) *AlibabaWdkChannelOrderCreateApiResult {
    s.Model = &v
    return s
}
func (s *AlibabaWdkChannelOrderCreateApiResult) SetErrMsg(v string) *AlibabaWdkChannelOrderCreateApiResult {
    s.ErrMsg = &v
    return s
}
func (s *AlibabaWdkChannelOrderCreateApiResult) SetSuccess(v bool) *AlibabaWdkChannelOrderCreateApiResult {
    s.Success = &v
    return s
}
